## org.hibernate.envers.event
Class EnversPostDeleteEventListenerImpl

    java.lang.Object
      org.hibernate.envers.event.BaseEnversEventListener
          org.hibernate.envers.event.EnversPostDeleteEventListenerImpl

All Implemented Interfaces:
  Serializable, EnversListener, PostDeleteEventListener

    public class EnversPostDeleteEventListenerImpl

extends BaseEnversEventListener
implements PostDeleteEventListener

See Also:
  Serialized Form

Constructor Summary
`protected` `EnversPostDeleteEventListenerImpl(AuditConfiguration enversConfiguration)`

Method Summary
`void` `onPostDelete(PostDeleteEvent event)`

Methods inherited from class org.hibernate.envers.event.BaseEnversEventListener
`generateBidirectionalCollectionChangeWorkUnits, getAuditConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnversPostDeleteEventListenerImpl

    protected EnversPostDeleteEventListenerImpl(AuditConfiguration enversConfiguration)

Method Detail

### onPostDelete

    public void onPostDelete(PostDeleteEvent event)

  Specified by:
    `onPostDelete` in interface `PostDeleteEventListener`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.